.datepicker.vc-container, .datepicker {
  margin: 0 rem(-12);
  width: calc(100% + 1.375rem);
  height: 100%;

  font-family: $montserrat;

  border: none;
  border-radius: 0;
  background: transparent;

  .vc-w-full {
    width: 100%;
    height: 100%;
  }

  .vc-arrows-container {
    padding: 0;

    .vc-svg-icon {
      width: rem(26);
      height: rem(26);

      border: none;
      border-radius: rem(4);
      stroke: #BDC5D8;

      path {
        fill: #BDC5D8;
      }
    }

    div[role="button"]:hover {
      background: transparent;
    }
  }

  .vc-header {
    margin-bottom: rem(20);
    padding: 0 !important;
  }

  .vc-title {
    font-weight: bold;
    font-size: rem(18);
    line-height: rem(30);
    color: $black;

    &:first-letter {
      text-transform: uppercase;
    }
  }

  .vc-grid-container {
    padding: 0;
    grid-template-columns: auto !important;
    height: 100%;
  }

  .vc-weekday {
    @include p2;
    color: rgba($black, .4);
    text-transform: capitalize;

    height: rem(40);
  }

  .vc-grid-cell-col-6,
  .vc-grid-cell-col-7 {
    color: $green;

    .vc-weekday {
      color: $green;
    }
  }

  .vc-day-content {
    @include p2;
    color: $black;

    height: rem(36);
    width: rem(36);
    margin: rem(2);

    &.vc-text-gray-400 {
      opacity: .4;
    }
  }

  .vc-day.is-today .vc-day-content {
    @include gray-btn;

    &:active {
      @include gray-btn-active;
    }

    border-radius: 50%;
  }

  .vc-day .vc-highlights {
    display: none;

    & ~ .vc-day-content {
      @include green-btn;

      color: $white;
    }
  }

  .vc-day {
    .vc-opacity-0 {
      opacity: .4;
    }
  }

  .vc-popover-content {
    @include gray-btn;
    background: $white;

    padding: rem(12) rem(24);

    font-weight: 400;
    font-size: rem(14);
    color: $black;

    .vc-nav-title {
      width: auto !important;

      color: $black;
      text-align: center;
    }

    .vc-grid-cell {
      span[role="button"] {
        width: rem(60);
        padding-top: rem(4);
        padding-bottom: rem(4);

        border: none;

        &:hover {
          color: $green;

          background: transparent;
          box-shadow: none;
        }

        &.vc-shadow {
          @include green-btn;
          border: none;
          color: $white;
        }

        &.vc-border-blue-100 {
          @include gray-btn;
          color: $black;

          &:active {
            @include gray-btn-active;
          }
        }
      }
    }
  }
}
